Loading...
Searching...
No Matches
globus_gsi_cred_constants.h File Reference

Globus GSI Credential Library. More...

Go to the source code of this file.

## Enumerations

enum

globus_gsi_cred_error_t {
GLOBUS_GSI_CRED_ERROR_SUCCESS = 0 , GLOBUS_GSI_CRED_ERROR_READING_PROXY_CRED = 1 , GLOBUS_GSI_CRED_ERROR_READING_HOST_CRED = 2 , GLOBUS_GSI_CRED_ERROR_READING_SERVICE_CRED = 3 ,
GLOBUS_GSI_CRED_ERROR_READING_CRED = 4 , GLOBUS_GSI_CRED_ERROR_WRITING_CRED = 5 , GLOBUS_GSI_CRED_ERROR_WRITING_PROXY_CRED = 6 , GLOBUS_GSI_CRED_ERROR_CHECKING_PROXY = 7 ,
GLOBUS_GSI_CRED_ERROR_VERIFYING_CRED = 8 , GLOBUS_GSI_CRED_ERROR_WITH_CRED = 9 , GLOBUS_GSI_CRED_ERROR_WITH_CRED_CERT = 10 , GLOBUS_GSI_CRED_ERROR_WITH_CRED_PRIVATE_KEY = 11 ,
GLOBUS_GSI_CRED_ERROR_WITH_CRED_CERT_CHAIN = 12 , GLOBUS_GSI_CRED_ERROR_ERRNO = 13 , GLOBUS_GSI_CRED_ERROR_SYSTEM_CONFIG = 14 , GLOBUS_GSI_CRED_ERROR_WITH_CRED_HANDLE_ATTRS = 15 ,
GLOBUS_GSI_CRED_ERROR_WITH_SSL_CTX = 16 , GLOBUS_GSI_CRED_ERROR_WITH_CALLBACK_DATA = 17 , GLOBUS_GSI_CRED_ERROR_CREATING_ERROR_OBJ = 18 , GLOBUS_GSI_CRED_ERROR_KEY_IS_PASS_PROTECTED = 19 ,
GLOBUS_GSI_CRED_ERROR_NO_CRED_FOUND = 20 , GLOBUS_GSI_CRED_ERROR_SUBJECT_CMP = 21 , GLOBUS_GSI_CRED_ERROR_GETTING_SERVICE_NAME = 22 , GLOBUS_GSI_CRED_ERROR_BAD_PARAMETER = 23 ,
GLOBUS_GSI_CRED_ERROR_WITH_CRED_CERT_NAME = 24 , GLOBUS_GSI_CRED_ERROR_LAST = 25
}

enum | globus_gsi_cred_type_t

## Detailed Description

Globus GSI Credential Library.

Author
  Sam Lang, Sam Meder